## GODistribution

GODistribution

## Functions

double | go_distribution_get_cumulative ()
double | go_distribution_get_cumulative_hazard ()
long double | go_distribution_get_cumulative_hazardl ()
long double | go_distribution_get_cumulativel ()
double | go_distribution_get_density ()
long double | go_distribution_get_densityl ()
char const * | go_distribution_get_distribution_name ()
GODistributionType | go_distribution_get_distribution_type ()
double | go_distribution_get_hazard ()
long double | go_distribution_get_hazardl ()
double | go_distribution_get_inverse_survival ()
long double | go_distribution_get_inverse_survivall ()
double | go_distribution_get_ppf ()
long double | go_distribution_get_ppfl ()
double | go_distribution_get_survival ()
long double | go_distribution_get_survivall ()
GODistribution * | go_distribution_new ()
void | go_distribution_scale ()
GODistributionType | go_distribution_type_from_string ()
char const * | go_distribution_type_to_string ()

## Properties

gdouble | location | Read / Write
gdouble | scale | Read / Write

## Types and Values

| GODistribution
enum | GODistributionType

## Object Hierarchy

        GObject
        ╰── GODistribution

## Implemented Interfaces

GODistribution implements GOPersist.

## Description

## Functions

### go_distribution_get_cumulative ()

    double
    go_distribution_get_cumulative (GODistribution *dist,
                                    double x);

#### Returns

### go_distribution_get_cumulative_hazard ()

    double
    go_distribution_get_cumulative_hazard (GODistribution *dist,
                                           double x);

#### Returns

### go_distribution_get_cumulative_hazardl ()

    long double
    go_distribution_get_cumulative_hazardl
                                   (GODistribution *dist,
                                    long double x);

#### Returns

### go_distribution_get_cumulativel ()

    long double
    go_distribution_get_cumulativel (GODistribution *dist,
                                     long double x);

#### Returns

### go_distribution_get_density ()

    double
    go_distribution_get_density (GODistribution *dist,
                                 double x);

#### Returns

### go_distribution_get_densityl ()

    long double
    go_distribution_get_densityl (GODistribution *dist,
                                  long double x);

#### Returns

### go_distribution_get_distribution_name ()

    char const *
    go_distribution_get_distribution_name (GODistribution *dist);

#### Returns

### go_distribution_get_distribution_type ()

    GODistributionType
    go_distribution_get_distribution_type (GODistribution *dist);

#### Returns

### go_distribution_get_hazard ()

    double
    go_distribution_get_hazard (GODistribution *dist,
                                double x);

#### Returns

### go_distribution_get_hazardl ()

    long double
    go_distribution_get_hazardl (GODistribution *dist,
                                 long double x);

#### Returns

### go_distribution_get_inverse_survival ()

    double
    go_distribution_get_inverse_survival (GODistribution *dist,
                                          double x);

#### Returns

### go_distribution_get_inverse_survivall ()

    long double
    go_distribution_get_inverse_survivall (GODistribution *dist,
                                           long double x);

#### Returns

### go_distribution_get_ppf ()

    double
    go_distribution_get_ppf (GODistribution *dist,
                             double x);

#### Returns

### go_distribution_get_ppfl ()

    long double
    go_distribution_get_ppfl (GODistribution *dist,
                              long double x);

#### Returns

### go_distribution_get_survival ()

    double
    go_distribution_get_survival (GODistribution *dist,
                                  double x);

#### Returns

### go_distribution_get_survivall ()

    long double
    go_distribution_get_survivall (GODistribution *dist,
                                   long double x);

#### Returns

### go_distribution_new ()

    GODistribution *
    go_distribution_new (GODistributionType type);

#### Returns

### go_distribution_scale ()

    void
    go_distribution_scale (GODistribution *dist,
                           double location,
                           double scale);

### go_distribution_type_from_string ()

    GODistributionType
    go_distribution_type_from_string (char const *name);

#### Returns

### go_distribution_type_to_string ()

    char const *
    go_distribution_type_to_string (GODistributionType type);

#### Returns

## Types and Values

### GODistribution

    typedef struct _GODistribution GODistribution;

### enum GODistributionType

#### Members

GO_DISTRIBUTION_INVALID |  |
GO_DISTRIBUTION_NORMAL | Normal. |
GO_DISTRIBUTION_UNIFORM | Uniform. |
GO_DISTRIBUTION_CAUCHY | Cauchy., |
GO_DISTRIBUTION_WEIBULL | Weibull. |
GO_DISTRIBUTION_LOGNORMAL | Lognormal. |
GO_DISTRIBUTION_MAX |  |

## Property Details

### The `“location”` property

      “location”                 gdouble

Location.

Flags: Read / Write

Default value: 0

### The `“scale”` property

      “scale”                    gdouble

Scale.

Flags: Read / Write

Allowed values: >= G_MINDOUBLE

Default value: 1